[arch-commits] Commit in rasqal/repos (4 files)

Andreas Radke andyrtr at nymeria.archlinux.org
Thu Dec 19 19:49:39 UTC 2013


    Date: Thursday, December 19, 2013 @ 20:49:38
  Author: andyrtr
Revision: 202221

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  rasqal/repos/staging-i686/
  rasqal/repos/staging-i686/PKGBUILD
    (from rev 202220, rasqal/trunk/PKGBUILD)
  rasqal/repos/staging-x86_64/
  rasqal/repos/staging-x86_64/PKGBUILD
    (from rev 202220, rasqal/trunk/PKGBUILD)

-------------------------+
 staging-i686/PKGBUILD   |   34 ++++++++++++++++++++++++++++++++++
 staging-x86_64/PKGBUILD |   34 ++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

Copied: rasqal/repos/staging-i686/PKGBUILD (from rev 202220, rasqal/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2013-12-19 19:49:38 UTC (rev 202221)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lawrence Lee <valheru at facticius.net>
+
+pkgname=rasqal
+epoch=1
+pkgver=0.9.30
+pkgrel=2
+pkgdesc="A free C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings"
+url="http://librdf.org/rasqal"
+license=('GPL' 'LGPL')
+arch=('i686' 'x86_64')
+depends=('raptor' 'mpfr' 'util-linux')
+source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz)
+md5sums=('b12c5f9cfdb6b04efce5a4a186b8416b')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--disable-static \
+	--enable-release
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make -k check || true # still fails some checks
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: rasqal/repos/staging-x86_64/PKGBUILD (from rev 202220, rasqal/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2013-12-19 19:49:38 UTC (rev 202221)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: AndyRTR <andyrtr at archlinux.org>
+# Contributor: Lawrence Lee <valheru at facticius.net>
+
+pkgname=rasqal
+epoch=1
+pkgver=0.9.30
+pkgrel=2
+pkgdesc="A free C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings"
+url="http://librdf.org/rasqal"
+license=('GPL' 'LGPL')
+arch=('i686' 'x86_64')
+depends=('raptor' 'mpfr' 'util-linux')
+source=(http://download.librdf.org/source/${pkgname}-${pkgver}.tar.gz)
+md5sums=('b12c5f9cfdb6b04efce5a4a186b8416b')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+	--disable-static \
+	--enable-release
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make -k check || true # still fails some checks
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}




More information about the arch-commits mailing list